from types import hex, name

uuidlist_table=[
["pv_uuid",128,name]
]

pe_table=[
["lv_num",2,hex],
["le_num",2,hex]]

pv_table=[
["id",2,hex],
["version",2,hex],
["pv_on_disk_base",4,hex],
["pv_on_disk_size",4,hex],
["vg_on_disk_base",4,hex],
["vg_on_disk_size",4,hex],
["pv_uuidlist_on_disk_base",4,hex],
["pv_uuidlist_on_disk_size",4,hex],
["lv_on_disk_base",4,hex],
["lv_on_disk_size",4,hex],
["pe_on_disk_base",4,hex],
["pe_on_disk_size",4,hex],
["pv_uuid",128,name],
["vg_name",128,name],
["system_id",128,name],
["pv_major",4,hex],
["pv_number",4,hex],
["pv_status",4,hex],
["pv_allocatable",4,hex],
["pv_size",4,hex],
["lv_cur",4,hex],
["pe_size",4,hex],
["pe_total",4,hex],
["pe_allocated",4,hex],
["pe_start",4,hex]]

lv_table=[
["lv_name",128,name],
["vg_name",128,name],
["lv_access",4,hex],
["lv_status",4,hex],
["lv_open",4,hex],
["lv_dev",4,hex],
["lv_number",4,hex],
["lv_mirror_copies",4,hex],
["lv_recovery",4,hex],
["lv_schedule",4,hex],
["lv_size",4,hex],
["lv_snapshot_minor",4,hex],
["lv_chunk_size",4,hex],
["lv_dummy",4,hex],
["lv_allocated_le",4,hex],
["lv_stripes",4,hex],
["lv_stripesize",4,hex],
["lv_badblock",4,hex],
["lv_allocation",4,hex],
["lv_io_timeout",4,hex],
["lv_read_ahead",4,hex]]

vg_table=[
["vg_uuid",32,name],
["vg_name_dummy",96,name],
["vg_number",4,hex],
["vg_access",4,hex],
["vg_status",4,hex],
["lv_max",4,hex],
["lv_cur",4,hex],
["lv_open",4,hex],
["pv_max",4,hex],
["pv_cur",4,hex],
["pv_act",4,hex],
["dummy",4,hex],
["vgda",4,hex],
["pe_size",4,hex],
["pe_total",4,hex],
["pe_allocated",4,hex],
["pvg_total",4,hex]]

